local FOLDER_NAME, private = ...
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vangems = {
	["id"] = { 774, 5498, 818, 1210, 5500, 1206, 1705, 1529, 7971, 13929, 24478, 24479, 3864, 7909, 11382, 7910, 12361, 12799, 12800, 12364, 12363 },
	["strings"] = { L["Malachite"], L["Small Lustrous Pearl"], L["Tigerseye"], L["Shadowgem"], L["Iridescent Pearl"], L["Moss Agate"], L["Lesser Moonstone"], L["Jade"], L["Citrine"], L["Golden Pearl"], L["Black Pearl"], L["Shadow Pearl"], L["Jaggal Pearl"], L["Aquamarine"], L["Star Ruby"], L["Blood of the Mountain"], L["Blue Sapphire"], L["Large Opal"], L["Azerothian Diamond"], L["Huge Emerald"], L["Arcane Crystal"] },
	["short"] = { L["S_Malachite"], L["S_Small Lustrous Pearl"], L["S_Tigerseye"], L["S_Shadowgem"], L["S_Iridescent Pearl"], L["S_Moss Agate"], L["S_Lesser Moonstone"], L["S_Jade"], L["S_Citrine"], L["S_Golden Pearl"], L["S_Black Pearl"], L["S_Shadow Pearl"], L["S_Jaggal Pearl"], L["S_Aquamarine"], L["S_Star Ruby"], L["S_Blood of the Mountain"], L["S_Blue Sapphire"], L["S_Large Opal"], L["S_Azerothian Diamond"], L["S_Huge Emerald"], L["S_Arcane Crystal"] },
	["color"] = { "32ff32", "e0ffff", "ffa62f", "f433ff", "fdd7e4", "52d017", "7dfdfe", "4ae75a", "ffe26b", "ffb039", "1569c7", "297ddb", "fff8dc", "75f5ca", "ff5449", "e1362b", "2b65ec", "ffc321", "f9f8f6", "5ffb17", "ffff28" }
}
local bcgems = {
	["id"] = { 21929, 23077, 23079, 23107, 23112, 23117, 23436, 23437, 23438, 23439, 23440, 23441, 32227, 32228, 32229, 32230, 32231, 32249, 25867, 25868 },
	["strings"] = { L["Flame Spessarite"], L["Blood Garnet"], L["Deep Peridot"], L["Shadow Draenite"], L["Golden Draenite"], L["Azure Moonstone"], L["Living Ruby"], L["Talasite"], L["Star of Elune"], L["Noble Topaz"], L["Dawnstone"], L["Nightseye"], L["Crimson Spinel"], L["Empyrean Sapphire"], L["Lionseye"], L["Shadowsong Amethyst"], L["Pyrestone"], L["Seaspray Emerald"], L["Earthstorm Diamond"], L["Skyfire Diamond"] },
	["short"] = { L["S_Flame Spessarite"], L["S_Blood Garnet"], L["S_Deep Peridot"], L["S_Shadow Draenite"], L["S_Golden Draenite"], L["S_Azure Moonstone"], L["S_Living Ruby"], L["S_Talasite"], L["S_Star of Elune"], L["S_Noble Topaz"], L["S_Dawnstone"], L["S_Nightseye"], L["S_Crimson Spinel"], L["S_Empyrean Sapphire"], L["S_Lionseye"], L["S_Shadowsong Amethyst"], L["S_Pyrestone"], L["S_Seaspray Emerald"], L["S_Earthstorm Diamond"], L["S_Skyfire Diamond"] },
	["color"] = { "ff8040", "ff2400", "00ff22", "c974ff", "ffe42b", "306eff", "f62217", "8be102", "2ab3ff", "ffaf34", "fff133", "c974ff", "ff362b", "0dd6e1", "ffe62b", "8d38c9", "ffa500", "7fe817", "b6b6b4", "bcc6cc" }
}
local lkgems = {
	["id"] = { 45054, 36917, 36920, 36923, 36926, 36929, 36932, 36784, 36783, 36918, 36921, 36924, 36927, 36930, 36933, 36919, 36922, 36925, 36928, 36931, 36934, 41266, 41334, 42225 },
	["strings"] = { L["Prismatic Black Diamond"], L["Bloodstone"], L["Sun Crystal"], L["Chalcedony"], L["Shadow Crystal"], L["Huge Citrine"], L["Dark Jade"], L["Siren's Tear"], L["Northsea Pearl"], L["Scarlet Ruby"], L["Autumn's Glow"], L["Sky Sapphire"], L["Twilight Opal"], L["Monarch Topaz"], L["Forest Emerald"], L["Cardinal Ruby"], L["King's Amber"], L["Majestic Zircon"], L["Dreadstone"], L["Ametrine"], L["Eye of Zul"], L["Skyflare Diamond"], L["Earthsiege Diamond"], L["Dragon's Eye"] },
	["short"] = { L["S_Prismatic Black Diamond"], L["S_Bloodstone"], L["S_Sun Crystal"], L["S_Chalcedony"], L["S_Shadow Crystal"], L["S_Huge Citrine"], L["S_Dark Jade"], L["S_Siren's Tear"], L["S_Northsea Pearl"], L["S_Scarlet Ruby"], L["S_Autumn's Glow"], L["S_Sky Sapphire"], L["S_Twilight Opal"], L["S_Monarch Topaz"], L["S_Forest Emerald"], L["S_Cardinal Ruby"], L["S_King's Amber"], L["S_Majestic Zircon"], L["S_Dreadstone"], L["S_Ametrine"], L["S_Eye of Zul"], L["S_Skyflare Diamond"], L["S_Earthsiege Diamond"], L["S_Dragon's Eye"] },
	["color"] = { "a4a0c6", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "2b60de", "bcc6cc", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "b6b6b4", "bcc6cc", "f0ffff" }
}
local catagems = {
	["id"] = { 52338, 52177, 52178, 52179, 52180, 52181, 52182, 52190, 52191, 52192, 52193, 52194, 52195, 71805, 71806, 71807, 71808, 71809, 71810, 52303, 52196 },
	["strings"] = { L["Darkfathom Pearl"], L["Carnelian"], L["Zephyrite"], L["Alicite"], L["Nightstone"], L["Hessonite"], L["Jasper"], L["Inferno Ruby"], L["Ocean Sapphire"], L["Dream Emerald"], L["Ember Topaz"], L["Demonseye"], L["Amberjewel"], L["Queen's Garnet"], L["Lightstone"], L["Deepholm Iolite"], L["Lava Coral"], L["Shadow Spinel"], L["Elven Peridot"], L["Shadowspirit Diamond"], L["Chimera's Eye"] },
	["short"] = { L["S_Darkfathom Pearl"], L["S_Carnelian"], L["S_Zephyrite"], L["S_Alicite"], L["S_Nightstone"], L["S_Hessonite"], L["S_Jasper"], L["S_Inferno Ruby"], L["S_Ocean Sapphire"], L["S_Dream Emerald"], L["S_Ember Topaz"], L["S_Demonseye"], L["S_Amberjewel"], L["S_Queen's Garnet"], L["S_Lightstone"], L["S_Deepholm Iolite"], L["S_Lava Coral"], L["S_Shadow Spinel"], L["S_Elven Peridot"], L["S_Shadowspirit Diamond"], L["S_Chimera's Eye"] },
	["color"] = { "bcc6cc", "ff2400", "38acec", "ffd801", "893bff", "ffa500", "59e817", "ff2400", "38acec", "59e817", "ffa500", "893bff", "ffd801", "ff2400", "ffd801", "38acec", "ffa500", "893bff", "59e817", "b6b6b4", "f0ffff" }
}
local mopgems = {
	["id"] = { 76130, 76133, 76134, 76135, 76136, 76137, 76142, 76138, 76140, 76141, 76131, 76139, 76132, 76734 },
	["strings"] = { L["Tiger Opal"], L["Lapis Lazuli"], L["Sunstone"], L["Roguestone"], L["Pandarian Garnet"], L["Alexandrite"], L["Sun's Radiance"], L["River's Heart"], L["Vermilion Onyx"], L["Imperial Amethyst"], L["Primordial Ruby"], L["Wild Jade"], L["Primal Diamond"], L["Serpent's Eye"] },
	["short"] = { L["S_Tiger Opal"], L["S_Lapis Lazuli"], L["S_Sunstone"], L["S_Roguestone"], L["S_Pandarian Garnet"], L["S_Alexandrite"], L["S_Sun's Radiance"], L["S_River's Heart"], L["S_Vermilion Onyx"], L["S_Imperial Amethyst"], L["S_Primordial Ruby"], L["S_Wild Jade"], L["S_Primal Diamond"], L["S_Serpent's Eye"] },
	["color"] = { "ffa500", "ffd801", "38acec", "893bff", "ff2400", "59e817", "ffd801", "38acec", "ffa500", "893bff", "ff2400", "59e817", "b6b6b4", "1a8dff" }
}
local wodgems = {
	["id"] = { 115524 },
	["strings"] = { L["Taladite Crystal"] },
	["short"] = { L["S_Taladite Crystal"] },
	["color"] = { "eeeeee" }
}
local leggems = {
	["id"] = { 130174, 130175, 130173, 130172, 130176, 130177, 130180, 130179, 130178, 130182, 130181,130245, 130183 },
	["strings"] = { L["Azsunite"], L["Chaotic Spinel"], L["Deep Amber"], L["Sangrite"], L["Skystone"], L["Queen's Opal"], L["Dawnlight"], L["Eye of Prophecy"], L["Furystone"], L["Maelstrom Sapphire"], L["Pandemonite"], L["Saber's Eye"], L["Shadow Ruby"] },
	["short"] = { L["S_Azsunite"], L["S_Chaotic Spinel"], L["S_Deep Amber"], L["S_Sangrite"], L["S_Skystone"], L["S_Queen's Opal"], L["S_Dawnlight"], L["S_Eye of Prophecy"], L["S_Furystone"], L["S_Maelstrom Sapphire"], L["S_Pandemonite"], L["S_Saber's Eye"], L["S_Shadow Ruby"] },
	["color"] = { "cfd20b", "61bd09", "e56800", "e51818", "009fff", "c701da", "cfd20b", "e56800", "e51818", "009fff", "61bd09", "c970d2", "c701da" }
}
private.vangems = vangems
private.bcgems = bcgems
private.lkgems = lkgems
private.catagems = catagems
private.mopgems = mopgems
private.wodgems = wodgems
private.leggems = leggems
